<?php
// $Id: mode.drush.inc,v 1.1.2.2 2010/11/22 22:35:35 karthik Exp $

/**
 * @file
 * Drush integration for mode.
 */

/**
 * Implementation of hook_drush_help().
 */
function mode_drush_help($section) {
  if ($section == 'drush:mode-switch') {
    return dt('The mode module allows administrators to switch from one permission set to another. ');
  }
}

/**
 * Implementation of hook_drush_command().
 */
function mode_drush_command() {
  $items['mode-switch'] = array(
    'description' => 'Switch from one mode to another.',
    'bootstrap' => DRUSH_BOOTSTRAP_DRUPAL_FULL,
    'arguments' => array(
      'mode' => 'The name of the mode'
    ),
    'aliases' => array('mosw'),
    'examples' => array(
      'drush mode-switch development',
      'drush mosw default'
    )
  );

  return $items;
}

/**
 * Execute the Drush command.
 */
function drush_mode_switch($mode_name = NULL) {
  if ($mode_name && $mode = mode_mode_switch($mode_name)) {
    drush_print(dt('Mode successfully switched.'));
    drush_print(dt('Banner message: @message', array('@message' => $mode->message)));
  }
  else {
    drush_set_error('MODE_SWITCH_FAILED', dt('Mode switching failed.'));
  }
}
